| Home | Libraries | People | FAQ | More

## Struct template interval_traits

boost::icl::interval_traits

## Synopsis

    // In header: <boost/icl/interval_traits.hpp>

    template<typename Type>
    struct interval_traits {
      // types
      typedef interval_traits              type;
      typedef domain_type_of< Type >::type domain_type;

      // public static functions
      static Type construct(const domain_type &, const domain_type &);
      static domain_type upper(const Type &);
      static domain_type lower(const Type &);
    };

## Description

### `interval_traits` public static functions

1.     static Type construct(const domain_type & lo, const domain_type & up);

2.     static domain_type upper(const Type & inter_val);

3.     static domain_type lower(const Type & inter_val);